Page MenuHomePhabricator

Allow EditEngine forms for objects which support subtyping to have a subtype configured
ClosedPublic

Authored by epriestley on Mar 2 2017, 12:08 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jul 4, 4:41 AM
Unknown Object (File)
Sun, Jun 26, 10:42 PM
Unknown Object (File)
Fri, Jun 17, 3:59 PM
Unknown Object (File)
Thu, Jun 16, 1:45 AM
Unknown Object (File)
Wed, Jun 15, 11:14 AM
Unknown Object (File)
Thu, Jun 9, 8:46 AM
Unknown Object (File)
Jun 3 2022, 9:57 AM
Unknown Object (File)
Jun 2 2022, 11:57 AM
Subscribers
None

Details

Summary

Ref T12314. This adds a "Change Form Subtype" workflow to the EditEngine form configuration screen, for forms that edit/create objects which support subtyping (for now, only tasks).

For example, this allows you to switch a form from being a "task" form to a "plant" or "animal" form.

Doing this doesn't yet do anything useful or interesting. I'm also not showing it in the UI yet since I'm not sure what we should make that look like (presumably, we should just echo whatever UI we end up with on tasks).

Test Plan
  • Changed the subtype of a task form.
  • Verified that the "Change Subtype" action doesn't appear on other forms (for example, those for Pastes).

Screen Shot 2017-03-01 at 4.04.00 PM.png (1×1 px, 249 KB)

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

chad added inline comments.
src/applications/transactions/controller/PhabricatorEditEngineConfigurationViewController.php
160

que?

This revision is now accepted and ready to land.Mar 2 2017, 12:28 AM

Got something better? Nothing struck me as too "subtypey", but the driver's license one looks like a little card or something. 🐈

This revision was automatically updated to reflect the committed changes.